<div ng-controller="ContenedorCtrl">
    <div class="page page-tables-bootstrap">
        <div class="pageheader">
            <div class="page-bar">
              <ul class="page-breadcrumb">
                <li>
                  <a ui-sref="home.dashboard"><i class="fa fa-home"></i> Home</a>
                </li>
                <li>
                  <a ui-sref="home.dashboard">Contenedor</a>
                </li>
              </ul>
            </div>
        </div>
        <div class="pagecontent">
            <div class="row">
              <!-- col -->
              <div class="col-md-12">

                <!-- tile -->
                <section class="tile" fullscreen="isFullscreen08">

                  <!-- tile header -->
                  <div class="tile-header dvd dvd-btm">
                    <h1 class="custom-font"><i class="fa fa-list"></i> Lista de Contenedores</h1>
                    <ul class="controls">
                        <li>
                            <a href tile-control-fullscreen ng-click="isFullscreen08 = !isFullscreen08">
                                <fa name="expand"></fa>
                            </a>
                        </li>
                    </ul>
                  </div>
                  <!-- /tile header -->

                  <!-- tile body -->
                  <div class="tile-body p-1">

                    <div class="loading-container" ng-if="flag">
                        <div class="loading"></div>
                        <div id="loading-text">Cargando</div>
                    </div>

                    <div class="row" ng-if="!flag">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="">Año</label>
                                <select class="form-control" ng-model="obj.id_anio" ng-change="listSemana(obj.id_anio)" ng-options="an.id as an.anio for an in anios">
                                    <option value="">-- Año --</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="">Semana</label>
                                <select class="form-control" ng-model="obj.id_semana" ng-disabled="!obj.id_anio" ng-change="list()" ng-options="sem.id as sem.nombre for sem in semanas">
                                    <option value="">-- Semana --</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Buscar</label>
                                <input type="text" name="buscar" ng-model="buscar" class="form-control" >
                            </div>                              
                        </div>                   
                    </div>
                    <div class="row" ng-if="containers.length > 0 && !flag">
                        <hr>
                        <div class="col-md-4">
                            
                        </div>
                        <div class="col-md-4">
                            
                        </div>
                        <div class="col-md-4">
                            <div class="pull-right">
                               <h4><strong>Cantidad : {{containers.length}} Contenedores</strong></h4>
                            </div>
                        </div>
                    </div>
                    <div class="row" ng-if="!flag">
                        <div class="col-md-12">
                            <small>
                                <div ng-if="containers.length > 0" class="table-responsive">
                                    <table class="table table-bordered">
                                        <tr style="background:#F2F2F2">
                                            <th style="vertical-align: middle;">Estado</th>
                                            <th style="vertical-align: middle;">W</th>
                                            <th style="vertical-align: middle;">Inicio Proceso</th>
                                            <th style="vertical-align: middle;">Fin Proceso</th>
                                            <th style="vertical-align: middle;">Operador Logístico</th>
                                            <th style="vertical-align: middle;">Línea</th>
                                            <th style="vertical-align: middle;">Nave</th>
                                            <th style="vertical-align: middle;">Booking</th>
                                            <th style="vertical-align: middle;">Cliente</th>
                                            <th style="vertical-align: middle;">Cantidad Cajas</th>
                                            <th style="vertical-align: middle;">Marca</th>
                                            <th style="vertical-align: middle;">Contenedor</th>
                                            <th style="vertical-align: middle;">Orden/Referencia</th>
                                            <th style="vertical-align: middle;">Destino</th>
                                            <th style="vertical-align: middle;">Peso Neto</th>
                                            <th style="vertical-align: middle;">Peso Bruto</th>
                                            <th style="vertical-align: middle;">Fecha Zarpe</th>
                                            <th style="vertical-align: middle;">Fecha Llegada</th>
                                            <th style="vertical-align: middle;">Factura</th>
                                            <th style="vertical-align: middle;">Packing</th>
                                            <th style="vertical-align: middle;">Certificado</th>
                                            <th style="vertical-align: middle;">Valija</th>
                                            <th style="vertical-align: middle;">BL's</th>
                                        </tr>
                                        <tbody dir-paginate="con in containers |filter: buscar | itemsPerPage: 10" pagination-id="con.id_contenedor">
                                            <tr>
                                                <td style="vertical-align: middle;" rowspan="{{con.cajas.length+1}}">
                                                    <span class="badge" style="background: {{con.color_estado}};">{{con.estado}}</span>
                                                </td>
                                                <td style="vertical-align: middle;" rowspan="{{con.cajas.length+1}}" nowrap>{{con.semana}}</td>
                                                <td style="vertical-align: middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}" nowrap>{{con.dia_proceso_inicio | date:'dd-MM-yyyy'}}</td>
                                                <td style="vertical-align: middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}" nowrap>{{con.dia_proceso_fin | date:'dd-MM-yyyy'}}</td>
                                                <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.operador}}</td>
                                                <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.linea_naviera}}</td>
                                                <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.sigla_linea_naviera}} - {{con.nave | uppercase}} V. {{con.viaje}}</td>
                                                <td style="vertical-align:middle;" rowspan="{{con.cajas.length+1}}">{{con.booking}}</td>
                                                <td style="vertical-align: middle;" rowspan="{{con.cajas.length+1}}" nowrap>{{con.cliente}}</td>
                                                <td style="vertical-align: middle;" nowrap>{{ con.cajas[0].cantidad_cajas }}</td>
                                                <td style="vertical-align: middle;" nowrap>{{con.cajas[0].marca}}</td>
                                                <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.numero_contenedor}}</td>
                                                <td style="vertical-align:middle;" rowspan="{{con.cajas.length+1}}">{{con.referencia}}</td>
                                                <td style="vertical-align:middle;" rowspan="{{con.cajas.length+1}}">{{con.puerto_destino}}</td>
                                                
                                                <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.peso_neto}}</td>
                                                <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.peso_bruto}}</td>
                                                <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.dia_zarpe | date:'dd-MM-yyyy'}}</td>
                                                <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.dia_llegada | date:'dd-MM-yyyy'}}</td>
                                                <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">
                                                    <span style="color: white;background: {{con.color_estado_factura}};" class="label">{{con.estado_factura}}</span>
                                                </td>
                                                <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">
                                                    <span style="color: white;background: {{con.color_estado_packing}};" class="label">{{con.estado_packing}}</span>
                                                </td>
                                                <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">
                                                    <span style="color: white;background: {{con.color_estado_certificado}};" class="label">{{con.estado_certificado}}</span>
                                                </td>
                                                <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">
                                                    <span style="color: white;background: {{con.color_estado_valija}};" class="label">{{con.estado_valija}}</span>
                                                </td>
                                                <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">
                                                    <span style="color: white;background: {{con.color_estado_vl}};" class="label">{{con.estado_vl}}</span>
                                                </td>
                                            </tr>
                                            <tr ng-repeat="caj in con.cajas.slice(1,con.cajas.length)">
                                                <td nowrap>{{caj.cantidad_cajas}}</td>
                                                <td nowrap>{{caj.marca}}</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </small>
                            <div class="text-center">
                                <dir-pagination-controls pagination-id="con.id_contenedor"></dir-pagination-controls>
                            </div>
                            <div ng-if="containers.length == 0">
                                <p class="text-center">
                                    <i class="fa fa-truck fa-4x"></i>
                                    <h5 class="text-center">no hay contenedores registrados para la semana actual...</h5>
                                </p>
                            </div>
                        </div>                        
                    </div>
                    
                  </div>
                  <!-- /tile body -->

                </section>
                <!-- /tile -->


              </div>
              <!-- /col -->
            </div>
            <!-- <div class="panel panel-success">
                <div class="panel-heading">
                   <h3 class="panel-title"><i class="fa fa-list"></i> Lista de Contenedores</h3>
                </div>
                <div class="panel-body" id="panel_full">
                   
                    <h4 class="text-center"><strong>PROGRAMA DE CORTE Y EXPORTACIÓN APPBOSA - LISTA DE CONTENEDORES DE LA SEMANA ACTUAL</strong></h4>
                    <hr>    
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <input type="text" class="form-control" placeholder="Buscar" ng-model="buscar">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="pull-right">
                                <button class="btn btn-default" ng-click="full()"><i class="fa fa-expand"></i></button>
                            </div>
                        </div>
                    </div>
                    <br>
                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <tr style="background:#F2F2F2">
                                <th style="vertical-align: middle;">Estado</th>
                                <th style="vertical-align: middle;">W</th>
                                <th style="vertical-align: middle;">Cliente</th>
                                <th style="vertical-align: middle;" colspan="2" rowspan="2">CAJAS</th>
                                <th style="vertical-align: middle;">Referencia</th>
                                <th style="vertical-align: middle;">Booking</th>
                                <th style="vertical-align: middle;">N° Contenedor</th>
                                <th style="vertical-align: middle;">Línea Naviera</th>
                                <th style="vertical-align: middle;">Puerto Destino</th>
                                <th style="vertical-align: middle;">Operador</th>
                                <th style="vertical-align: middle;">Fecha Zarpe</th>
                                <th style="vertical-align: middle;">Opciones</th>
                            </tr>
                            <tbody dir-paginate="con in containers |filter: buscar | itemsPerPage: 5" pagination-id="con.id_contenedor">
                                <tr>
                                    <td style="vertical-align: middle;" rowspan="{{con.cajas.length+1}}">
                                        <span class="badge" style="background: {{con.color_estado}};">{{con.estado}}</span>
                                    </td>
                                    <td style="vertical-align: middle;" rowspan="{{con.cajas.length+1}}" nowrap>
                                        {{con.semana}}
                                    </td>
                                    <td style="vertical-align: middle;" rowspan="{{con.cajas.length+1}}" nowrap>
                                        {{con.cliente}}
                                    </td>
                                    <td style="vertical-align: middle;background:#F2F2F2"><b>Número</b></td>
                                    <td style="vertical-align: middle;background:#F2F2F2" nowrap><b>Marca</b></td>
                                    <td style="vertical-align:middle;" rowspan="{{con.cajas.length+1}}">{{con.referencia}}</td>
                                    <td style="vertical-align:middle;" rowspan="{{con.cajas.length+1}}">{{con.booking}}</td>
                                    <td style="vertical-align:middle;" rowspan="{{con.cajas.length+1}}">{{con.numero_contenedor}}</td>
                                    <td style="vertical-align:middle;" rowspan="{{con.cajas.length+1}}">{{con.linea_naviera}}</td>
                                    <td style="vertical-align:middle;" rowspan="{{con.cajas.length+1}}">{{con.puerto_destino}}</td>
                                    <td style="vertical-align:middle;" rowspan="{{con.cajas.length+1}}">{{con.operador}}</td>
                                    <td style="vertical-align:middle;" rowspan="{{con.cajas.length+1}}">{{con.dia_zarpe}}</td>
                                    <td class="text-center" style="vertical-align:middle;" rowspan="{{con.cajas.length+1}}">
                                        <button class="btn btn-success btn-sm" ng-click="redirectDetalle(con)"><i class="fa fa-eye"></i></button>
                                    </td>
                        
                                </tr>
                                <tr ng-repeat="caj in con.cajas">
                                    <td style="display: table-cell;vertical-align: middle;" nowrap>{{caj.cantidad_cajas}}</td>
                                    <td style="display: table-cell;vertical-align: middle;" nowrap>{{caj.marca}}</td>                            
                                </tr>
                            </tbody>
                        </table>
                        <div class="text-center">
                            <dir-pagination-controls pagination-id="con.id_contenedor"></dir-pagination-controls>
                        </div>
                    </div>

                </div>
            </div> -->
        </div>
    </div>
</div>